Bug 247396 - devel/opencl: don't include altivec.h
Summary: devel/opencl: don't include altivec.h
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-18 23:28 UTC by Piotr Kubaj
Modified: 2020-07-11 06:12 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.19 KB, patch)
2020-06-18 23:28 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-06-18 23:28:09 UTC
Created attachment 215755 [details]
patch

altivec.h shouldn't be included directly by users. It's managed with -maltivec / -mno-altivec compiler switches.

Including it causes compiler errors when using clang.
Comment 1 Bugzilla Automation freebsd_committer 2020-06-18 23:28:09 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2020-07-03 12:04:28 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Jul  3 12:04:03 UTC 2020
New revision: 541100
URL: https://svnweb.freebsd.org/changeset/ports/541100

Log:
  devel/opencl: don't include altivec.h

  altivec.h shouldn't be included directly by users. It's managed with -maltivec / -mno-altivec compiler switches.

  Including it causes compiler errors when using clang.

  Already upstreamed.

  PR:		247396
  Approved by:	ohartman@zedat.fu-berlin.de (maintainer timeout)
  MFH:		2020Q3 (fixes build of some other ports)

Changes:
  head/devel/opencl/Makefile
  head/devel/opencl/files/
  head/devel/opencl/files/patch-cl__platform.h
Comment 3 commit-hook freebsd_committer 2020-07-03 12:05:29 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Jul  3 12:05:24 UTC 2020
New revision: 541101
URL: https://svnweb.freebsd.org/changeset/ports/541101

Log:
  MFH: r541100

  devel/opencl: don't include altivec.h

  altivec.h shouldn't be included directly by users. It's managed with -maltivec / -mno-altivec compiler switches.

  Including it causes compiler errors when using clang.

  Already upstreamed.

  PR:		247396
  Approved by:	ohartman@zedat.fu-berlin.de (maintainer timeout)

  Approved by:	portmgr (fixes build of other ports)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/devel/opencl/Makefile
  branches/2020Q3/devel/opencl/files/
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2020-07-11 06:12:31 UTC
^Triage: Assign to committer resolving